GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ServiceInfo Class Reference

## Public Member Functions
String | getHeader ()
void | setHeader (String value)
List< Information > | getInformation ()

## Protected Attributes
String | header
List< Information > | information

## Detailed Description

Informations about used services

Java class for ServiceInfo complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ServiceInfo">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Header" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Information" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}Information" maxOccurs="unbounded" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 41 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ServiceInfo.java.

## Member Function Documentation

## ◆ getHeader()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ServiceInfo.getHeader | ( |  | ) |

Gets the value of the header property.

Returns
  possible object is String

Definition at line 56 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ServiceInfo.java.

## ◆ getInformation()

List<Information> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ServiceInfo.getInformation | ( |  | ) |

Gets the value of the information property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the information property.

For example, to add a new item, do as follows:

       getInformation().add(newItem);

Objects of the following type(s) are allowed in the list Information

Definition at line 94 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ServiceInfo.java.

## ◆ setHeader()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ServiceInfo.setHeader | ( | String | value | ) |

Sets the value of the header property.

Parameters

  value | allowed object is String

Definition at line 68 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ServiceInfo.java.

## Member Data Documentation

## ◆ header

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ServiceInfo.header
| protected

Definition at line 44 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ServiceInfo.java.

## ◆ information

List<Information> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ServiceInfo.information
| protected

Definition at line 46 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ServiceInfo.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ServiceInfo.java